%global momorel 1
%global artsver 1.5.6
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global kdebaserel 2m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 ad446cbaa846f660670315bad7c07dc0

Summary: KDE style and window decoration
Name: polyester
Version: 1.0.1
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://www.kde-look.org/content/show.php?content=27968
Group: User Interface/Desktops
%NoSource 0 http://www.notmart.org/files/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}

%description
Widget style + kwin decoration both aimed to be 
a good balance between eyecandy and simplicity.

%prep
%setup -q

# fix permission
chmod 644 AUTHORS COPYING.GPL ChangeLog INSTALL README

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog INSTALL README
%{_libdir}/kde3/plugins/styles/polyester.la
%{_libdir}/kde3/plugins/styles/polyester.so
%{_libdir}/kde3/*polyester*.la
%{_libdir}/kde3/*polyester*.so
%{_datadir}/apps/kdisplay/color-schemes/Polyester*.kcsrc
%{_datadir}/apps/kstyle/themes/polyester.themerc
%{_datadir}/apps/kwin/polyester.desktop

%changelog
* Fri May 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-1m)
- version 1.0.1

* Sun Apr  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- initial package for Momonga Linux
